diff --git a/source/appModules/audacity.py b/source/appModules/audacity.py
index 3dfbfd7..6b96850 100644
--- a/source/appModules/audacity.py
+++ b/source/appModules/audacity.py
@@ -7,9 +7,17 @@
 import appModuleHandler
 import winUser
 import controlTypes
+import IAccessibleHandler
 
 class AppModule(appModuleHandler.AppModule):
 
 	def event_NVDAObject_init(self,obj):
 		if obj.windowClassName=="Button" and not obj.role in [controlTypes.ROLE_MENUBAR, controlTypes.ROLE_MENUITEM, controlTypes.ROLE_POPUPMENU]:
 			obj.name=winUser.getWindowText(obj.windowHandle).replace('&','')
+			
+		# work around for reading group boxes. In Audacity, any group box is a previous
+		# sibling of a control, rather than a previous sibling of the parent of a control.
+		if controlTypes.STATE_FOCUSED in obj.states:
+			groupBox = IAccessibleHandler.findGroupboxObject(obj)
+			if groupBox:
+				obj.container = groupBox
